Bug 1373374 (CVE-2016-4855) - CVE-2016-4855 adodb: cross-site scripting in test script
Summary: CVE-2016-4855 adodb: cross-site scripting in test script
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-4855
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1373375 1373376
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-06 06:45 UTC by Martin Prpič
Modified: 2019-09-29 13:55 UTC (History)
3 users (show)

Fixed In Version: adodb 5.20.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:58:14 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-09-06 06:45:39 UTC
A cross-site scripting flaw was found in one of ADOdb's test scripts:

https://github.com/ADOdb/ADOdb/issues/274

JVN alert:

https://jvn.jp/en/jp/JVN48237713/

Upstream patch:

https://github.com/ADOdb/ADOdb/commit/ecb93d8c1

Comment 1 Martin Prpič 2016-09-06 06:46:12 UTC
Created php-adodb tracking bugs for this issue:

Affects: fedora-all [bug 1373375]
Affects: epel-all [bug 1373376]

Comment 2 Fedora Update System 2016-09-11 23:46:03 UTC
php-adodb-5.15-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-09-18 02:20:20 UTC
php-adodb-5.15-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-09-18 05:22:12 UTC
php-adodb-5.15-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:58:14 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.